| Haskell Hierarchical Libraries (unix package) | Contents | Index

System.Posix.Unistd

Portability | non-portable (requires POSIX)
Stability | provisional
Maintainer | libraries@haskell.org

Contents

System environment
Sleeping

Description
POSIX miscellaneous stuff, mostly from unistd.h
Synopsis

data SystemID = SystemID {

systemName :: String
nodeName :: String
release :: String
version :: String
machine :: String

}

getSystemID :: IO SystemID

data SysVar

= ArgumentLimit
| ChildLimit
| ClockTick
| GroupLimit
| OpenFileLimit
| PosixVersion
| HasSavedIDs
| HasJobControl

getSysVar :: SysVar -> IO Integer
sleep :: Int -> IO Int
usleep :: Int -> IO ()

System environment
data SystemID

Constructors

SystemID |

systemName :: String |
nodeName :: String |
release :: String |
version :: String |
machine :: String |

getSystemID :: IO SystemID
data SysVar

Constructors

ArgumentLimit |
ChildLimit |
ClockTick |
GroupLimit |
OpenFileLimit |
PosixVersion |
HasSavedIDs |
HasJobControl |

getSysVar :: SysVar -> IO Integer
Sleeping
sleep :: Int -> IO Int
usleep :: Int -> IO ()
Produced by Haddock version 0.6